Contact Us
  • Home
  • Documentation
  • Core Weather API
  • MinuteCast™ API
  • Lightning API
  • Enterprise APIs
  • Pricing
  • FAQ
Company
  • Proven Superior Accuracy
  • About AccuWeather
  • Digital Advertising
  • Careers
  • Press
  • Privacy
  • Terms of Use
  • Brand Guidelines
  • Privacy Settings
Products & Services
  • For Business
  • For Partners
  • For Advertising
  • AccuWeather Enterprise APIs
  • AccuWeather Connect
  • Personal Weather Stations
Subscription Services
  • AccuWeather Premium
  • AccuWeather Professional
Apps & Downloads
  • iPhone App
  • Android App
  • See all Apps & Downloads

© 2026 AccuWeather, Inc.

xXfacebookFacebookinstagramInstagram
Information
Current Conditions
Daily Forecasts
Hourly Forecasts
Alerts
Locations
Indices
Tropical
Alarms
Imagery Maps
Translations
    Groups
      Translations by group idgetTranslation groupsget
    Languages
Schemas
Core Weather
Core Weather

Groups


Translations by group id

GET
https://dataservice.accuweather.com
/translations/v1/groups/{groupID}

Returns all translated phrases for a specific group, in the desired language.

Translations by group id › path Parameters

groupID
​integer · int32 · required

A numerical value representing a group of related translations.

Example: 1

Translations by group id › query Parameters

language
​string

A string that indicates the language in which to return the response. More information can be found here.

Default: en-us
format
​string

A string value that specifies what type of format to provide the response.

Default: json

Translations by group id › Headers

Authorization
​string · required

The Authorization header is used to authenticate using your API key. Format is Bearer YOUR_API_KEY.

Translations by group id › Responses

OK

​API.Translations.Entities.OpenAPI.Translation[]
API.Translations.Entities.OpenAPI.Translation
LanguageCode
​string · minLength: 1 · required

The culture code for the language to which the phrase is translated

PhraseCode
​string · minLength: 1 · required

The word or phrase (without spaces) to use as a key for joining the translations

Text
​string · minLength: 1 · required

The translated word or phrase

DataCode
​string | null

The key to use for translation

GET/translations/v1/groups/{groupID}
curl https://dataservice.accuweather.com/translations/v1/groups/:groupID \ --header 'Authorization: <api-key>'
Example Responses
[ { "LanguageCode": "LanguageCode", "PhraseCode": "PhraseCode", "Text": "Text", "DataCode": "DataCode" } ]
json
application/json

Translation groups

GET
https://dataservice.accuweather.com
/translations/v1/groups

Returns a list of available translation groups

Translation groups › query Parameters

language
​string

A string that indicates the language in which to return the response. More information can be found here.

Default: en-us
format
​string

A string value that specifies what type of format to provide the response.

Default: json

Translation groups › Headers

Authorization
​string · required

The Authorization header is used to authenticate using your API key. Format is Bearer YOUR_API_KEY.

Translation groups › Responses

OK

​API.Translations.Entities.OpenAPI.TranslationGroup[]
API.Translations.Entities.OpenAPI.TranslationGroup
ID
​integer · int32 · required

A unique ID (integer) for the translation group

Name
​string · minLength: 1 · required

The translation group name

GET/translations/v1/groups
curl https://dataservice.accuweather.com/translations/v1/groups \ --header 'Authorization: <api-key>'
Example Responses
[ { "ID": 0, "Name": "Name" } ]
json
application/json

Location KeyLanguages